from telegram.ext import (
    Application,
    CommandHandler,
    CallbackQueryHandler,
    ConversationHandler,
    filters,
    CallbackContext,
)
import requests
import os

# Константы
BOT_TOKEN = "YOUR_BOT_TOKEN"
MARZBAN_API_URL = "http://your_domain.com/api/users"
MARZBAN_API_KEY = "YOUR_API_TOKEN"

# Создание пользователя через API Marzban
def create_user(username, password, data_limit, expiry):
    payload = {
        "username": username,
        "password": password,
        "data_limit": data_limit,
        "expiry": expiry
    }
    headers = {"Authorization": f"Bearer {MARZBAN_API_KEY}"}
    response = requests.post(MARZBAN_API_URL, json=payload, headers=headers)
    return response.json()

# Обработчики команд
async def start(update, context):
    await update.message.reply_text(
        "Добро пожаловать! Выберите действие:",
        reply_markup=get_main_menu()
    )

def get_main_menu():
    from telegram import InlineKeyboardButton, InlineKeyboardMarkup
    keyboard = [
        [InlineKeyboardButton("Купить подписку", callback_data="buy")],
        [InlineKeyboardButton("Проверить статус", callback_data="status")],
        [InlineKeyboardButton("Тестовый период", callback_data="trial")],
    ]
    return InlineKeyboardMarkup(keyboard)

# Остальной код аналогичен предыдущему боту, но с использованием функции create_user